--- FL/Fl_Chart.H.original	2008-09-16 04:26:22.000000000 -0300
+++ FL/Fl_Chart.H	2008-09-22 11:07:10.000000000 -0300
@@ -79,6 +79,7 @@
   \li \c FL_SPIKE_CHART: Each sample value is drawn as a vertical line.
  */
 class FL_EXPORT Fl_Chart : public Fl_Widget {
+protected:
     int numb;
     int maxnumb;
     int sizenumb;
@@ -88,8 +89,25 @@
     Fl_Font textfont_;
     Fl_Fontsize textsize_;
     unsigned textcolor_;
-protected:
     void draw();
+
+    static void draw_barchart(int x,int y,int w,int h,
+			  int numb, FL_CHART_ENTRY entries[],
+			  double min, double max, int autosize, int maxnumb,
+			  Fl_Color textcolor);
+    static void draw_horbarchart(int x,int y,int w,int h,
+			     int numb, FL_CHART_ENTRY entries[],
+			     double min, double max, int autosize, int maxnumb,
+			     Fl_Color textcolor);
+    static void draw_linechart(int type, int x,int y,int w,int h,
+			   int numb, FL_CHART_ENTRY entries[],
+			   double min, double max, int autosize, int maxnumb,
+			   Fl_Color textcolor);
+    static void draw_piechart(int x,int y,int w,int h,
+			  int numb, FL_CHART_ENTRY entries[], int special,
+			  Fl_Color textcolor);
+
+
 public:
     Fl_Chart(int X, int Y, int W, int H, const char *L = 0);
 
--- src/Fl_Chart.cxx.original	2008-09-16 03:49:08.000000000 -0300
+++ src/Fl_Chart.cxx	2008-09-22 11:07:10.000000000 -0300
@@ -39,7 +39,7 @@
 
 /* Widget specific information */
 
-static void draw_barchart(int x,int y,int w,int h,
+void Fl_Chart::draw_barchart(int x,int y,int w,int h,
 			  int numb, FL_CHART_ENTRY entries[],
 			  double min, double max, int autosize, int maxnumb,
 			  Fl_Color textcolor)
@@ -79,7 +79,7 @@
 	      FL_ALIGN_TOP);
 }
 
-static void draw_horbarchart(int x,int y,int w,int h,
+void Fl_Chart::draw_horbarchart(int x,int y,int w,int h,
 			     int numb, FL_CHART_ENTRY entries[],
 			     double min, double max, int autosize, int maxnumb,
 			     Fl_Color textcolor)
@@ -125,7 +125,7 @@
 	      FL_ALIGN_RIGHT);
 }
 
-static void draw_linechart(int type, int x,int y,int w,int h,
+void Fl_Chart::draw_linechart(int type, int x,int y,int w,int h,
 			   int numb, FL_CHART_ENTRY entries[],
 			   double min, double max, int autosize, int maxnumb,
 			   Fl_Color textcolor)
@@ -175,7 +175,7 @@
 	      entries[i].val>=0 ? FL_ALIGN_BOTTOM : FL_ALIGN_TOP);
 }
 
-static void draw_piechart(int x,int y,int w,int h,
+void Fl_Chart::draw_piechart(int x,int y,int w,int h,
 			  int numb, FL_CHART_ENTRY entries[], int special,
 			  Fl_Color textcolor)
 /* Draws a pie chart. x,y,w,h is the bounding box, entries the array of
